Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface DocumentTypes

    public interface DocumentTypes

This interface holds constants that define each of the `DocumentType`s that are known to the API. These can be used wherever a `DocumentType` object is required.

Field Summary
`static DocumentType<AbstractAuthoringTemplate>` | `AbstractAuthoringTemplate` The document type for `AbstractAuthoringTemplate` Since 8.0, there are two types of `AbstractAuthoringTemplate`, `AuthoringTemplate` and `SiteAreaTemplate`.
`static DocumentType<AuthoringTemplate>` | `AuthoringTemplate` The document type for `AuthoringTemplate`.
`static DocumentType<Category>` | `Category` The document type for `Category`
`static DocumentType<Content>` | `Content` The document type for `Content`
`static DocumentType<ContentLink>` | `ContentLink` The document type for `ContentLink`
`static DocumentType<CustomWorkflowAction>` | `CustomWorkflowAction` The document type for `CustomWorkflowAction`
`static DocumentType<DateComponent>` | `DateComponent` The document type for a `DateComponent`.
`static DocumentType<DocumentManagerComponent>` | `DocumentManagerComponent` Deprecated. Document Manager is deprecated since 7.0
`static DocumentType<EmailAction>` | `EmailAction` The document type for `EmailAction`
`static DocumentType<ExpireAction>` | `ExpireAction` The document type for `ExpireAction`
`static DocumentType<FileComponent>` | `FileComponent` The document type for a `FileComponent`.
`static DocumentType<Folder>` | `Folder` The document type for `Folder`
`static DocumentType<HTMLComponent>` | `HTMLComponent` The document type for a `HTMLComponent`.
`static DocumentType<ImageComponent>` | `ImageComponent` The document type for a `ImageComponent`.
`static DocumentType<JSPComponent>` | `JSPComponent` The document type for a `JSPComponent`.
`static DocumentType<LibraryAuthoringToolsComponent>` | `LibraryAuthoringToolsComponent` The document type for a `LibraryAuthoringToolsComponent`.
`static DocumentType<LibraryComponent>` | `LibraryComponent` The document type for Library Components.
`static DocumentType<LibraryDateComponent>` | `LibraryDateComponent` The document type for a `LibraryDateComponent`.
`static DocumentType<LibraryDocumentManagerComponent>` | `LibraryDocumentManagerComponent` Deprecated. Document Manager is deprecated since 7.0
`static DocumentType<LibraryFileComponent>` | `LibraryFileComponent` The document type for a `LibraryFileComponent`.
`static DocumentType<LibraryHTMLComponent>` | `LibraryHTMLComponent` The document type for a `LibraryHTMLComponent`.
`static DocumentType<LibraryImageComponent>` | `LibraryImageComponent` The document type for a `LibraryImageComponent`.
`static DocumentType<LibraryJSPComponent>` | `LibraryJSPComponent` The document type for a `LibraryJSPComponent`.
`static DocumentType<LibraryLinkComponent>` | `LibraryLinkComponent` The document type for `LibraryLinkComponent`
`static DocumentType<LibraryLinkComponent>` | `LibraryListPresentationComponent` The document type for `LibraryListPresentationComponent`
`static DocumentType<LibraryMenuComponent>` | `LibraryMenuComponent` The document type for a `LibraryMenuComponent`.
`static DocumentType<LibraryNavigatorComponent>` | `LibraryNavigatorComponent` The document type for a `LibraryNavigatorComponent`.
`static DocumentType<LibraryNumericComponent>` | `LibraryNumericComponent` The document type for a `LibraryNumericComponent`.
`static DocumentType<LibraryPageNavigationComponent>` | `LibraryPageNavigationComponent` The document type for a `LibraryPageNavigationComponent`.
`static DocumentType<LibraryPersonalizationComponent>` | `LibraryPersonalizationComponent` The document type for a `LibraryPersonalizationComponent`.
`static DocumentType<LibraryReferenceComponent>` | `LibraryReferenceComponent` The document type for a `LibraryReferenceComponent`.
`static DocumentType<LibraryRichTextComponent>` | `LibraryRichTextComponent` The document type for a `LibraryRichTextComponent`.
`static DocumentType<LibrarySearchComponent>` | `LibrarySearchComponent` The document type for a `LibrarySearchComponent`.
`static DocumentType<LibraryShortTextComponent>` | `LibraryShortTextComponent` The document type for a `LibraryShortTextComponent`.
`static DocumentType<LibraryStyleSheetComponent>` | `LibraryStyleSheetComponent` The document type for a `LibraryStyleSheetComponent`.
`static DocumentType<LibraryTaxonomyComponent>` | `LibraryTaxonomyComponent` The document type for a `LibraryTaxonomyComponent`.
`static DocumentType<LibraryTextComponent>` | `LibraryTextComponent` The document type for a `LibraryTextComponent`.
`static DocumentType<LibraryUserNameComponent>` | `LibraryUserNameComponent` The document type for a `LibraryUserNameComponent`.
`static DocumentType<LibraryUserSelectionComponent>` | `LibraryUserSelectionComponent` The document type for a `LibraryUserSelectionComponent`.
`static DocumentType<LinkComponent>` | `LinkComponent` The document type for a `LinkComponent`.
`static DocumentType<NumericComponent>` | `NumericComponent` The document type for a `NumericComponent`.
`static DocumentType<OptionSelectionComponent>` | `OptionSelectionComponent` The document type for a `OptionSelectionComponent`.
`static DocumentType<PortalPage>` | `PortalPage` The document type for `PortalPage`
`static DocumentType<PresentationTemplate>` | `PresentationTemplate` The document type for a `PresentationTemplate`
`static DocumentType<Project>` | `Project` The document type for `Project`
`static DocumentType<ProjectTemplate>` | `ProjectTemplate` The document type for `ProjectTemplate`
`static DocumentType<PublishAction>` | `PublishAction` The document type for `PublishAction`
`static DocumentType<ReferenceComponent>` | `ReferenceComponent` The document type for a `ReferenceComponent`.
`static DocumentType<RichTextComponent>` | `RichTextComponent` The document type for a `RichTextComponent`.
`static DocumentType<ScheduledMoveAction>` | `ScheduledMoveAction` The document type for `ScheduledMoveAction`
`static DocumentType<ShortTextComponent>` | `ShortTextComponent` The document type for a `ShortTextComponent`.
`static DocumentType<Site>` | `Site` Deprecated. Since 7.0, Site is replaced by SiteArea.
`static DocumentType<SiteArea>` | `SiteArea` The document type for `SiteArea`
`static DocumentType<SiteAreaTemplate>` | `SiteAreaTemplate` The document type for `SiteAreaTemplate`
`static DocumentType<Taxonomy>` | `Taxonomy` The document type for `Taxonomy`
`static DocumentType<TextComponent>` | `TextComponent` The document type for a `TextComponent`.
`static DocumentType<UserSelectionComponent>` | `UserSelectionComponent` The document type for a `UserSelectionComponent`.
`static DocumentType<VersionAction>` | `VersionAction` The document type for `VersionAction`
`static DocumentType<Workflow>` | `Workflow` The document type for `Workflow`
`static DocumentType<WorkflowAction>` | `WorkflowAction` The document type for `WorkflowAction`
`static DocumentType<WorkflowStage>` | `WorkflowStage` The document type for `WorkflowStage`

Field Detail

### AbstractAuthoringTemplate

    static final DocumentType<AbstractAuthoringTemplate> AbstractAuthoringTemplate

  The document type for `AbstractAuthoringTemplate` Since 8.0, there are two types of `AbstractAuthoringTemplate`, `AuthoringTemplate` and `SiteAreaTemplate`. Queries that specify the AbstractAuthoringTemplate DocumentType will return both `AuthoringTemplate`s and `SiteAreaTemplate`s. If only `AuthoringTemplate`s or `SiteAreaTemplate`s are required, use the DocumentType for AuthoringTemplate or SiteAreaTemplate.

### AuthoringTemplate

    static final DocumentType<AuthoringTemplate> AuthoringTemplate

  The document type for `AuthoringTemplate`. Note that an `AuthoringTemplate` is referred to as a "Content Template" since 8.0 in the Authoring UI.

### SiteAreaTemplate

    static final DocumentType<SiteAreaTemplate> SiteAreaTemplate

  The document type for `SiteAreaTemplate`

### Content

    static final DocumentType<Content> Content

  The document type for `Content`

### ContentLink

    static final DocumentType<ContentLink> ContentLink

  The document type for `ContentLink`

### Folder

    static final DocumentType<Folder> Folder

  The document type for `Folder`

### Project

    static final DocumentType<Project> Project

  The document type for `Project`

### ProjectTemplate

    static final DocumentType<ProjectTemplate> ProjectTemplate

  The document type for `ProjectTemplate`

### Site

    static final DocumentType<Site> Site

  Deprecated. Since 7.0, Site is replaced by SiteArea.
  The document type for `Site`.

### SiteArea

    static final DocumentType<SiteArea> SiteArea

  The document type for `SiteArea`

### PortalPage

    static final DocumentType<PortalPage> PortalPage

  The document type for `PortalPage`

### Category

    static final DocumentType<Category> Category

  The document type for `Category`

### Taxonomy

    static final DocumentType<Taxonomy> Taxonomy

  The document type for `Taxonomy`

### PresentationTemplate

    static final DocumentType<PresentationTemplate> PresentationTemplate

  The document type for a `PresentationTemplate`

### Workflow

    static final DocumentType<Workflow> Workflow

  The document type for `Workflow`

### WorkflowStage

    static final DocumentType<WorkflowStage> WorkflowStage

  The document type for `WorkflowStage`

### WorkflowAction

    static final DocumentType<WorkflowAction> WorkflowAction

  The document type for `WorkflowAction`

### PublishAction

    static final DocumentType<PublishAction> PublishAction

  The document type for `PublishAction`

### EmailAction

    static final DocumentType<EmailAction> EmailAction

  The document type for `EmailAction`

### ExpireAction

    static final DocumentType<ExpireAction> ExpireAction

  The document type for `ExpireAction`

### CustomWorkflowAction

    static final DocumentType<CustomWorkflowAction> CustomWorkflowAction

  The document type for `CustomWorkflowAction`

### ScheduledMoveAction

    static final DocumentType<ScheduledMoveAction> ScheduledMoveAction

  The document type for `ScheduledMoveAction`

### VersionAction

    static final DocumentType<VersionAction> VersionAction

  The document type for `VersionAction`

### DateComponent

    static final DocumentType<DateComponent> DateComponent

  The document type for a `DateComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `DateComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `DateComponent` is referred to as a `"Date Element"`in the Authoring UI.``

### DocumentManagerComponent

    static final DocumentType<DocumentManagerComponent> DocumentManagerComponent

  Deprecated. Document Manager is deprecated since 7.0
  The document type for a `DocumentManagerComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `DocumentManagerComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `DocumentManagerComponent` is referred to as a `"Document Manager Element"`in the Authoring UI.``

### FileComponent

    static final DocumentType<FileComponent> FileComponent

  The document type for a `FileComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `FileComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `FileComponent` is referred to as a `"File Element"`in the Authoring UI.``

### HTMLComponent

    static final DocumentType<HTMLComponent> HTMLComponent

  The document type for a `HTMLComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `HTMLComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `HTMLComponent` is referred to as an `"HTML Element"`in the Authoring UI.``

### ImageComponent

    static final DocumentType<ImageComponent> ImageComponent

  The document type for a `ImageComponent`.

  A component of this type cannot be stored as a separate entity in the repository. I.e. Components of type `ImageComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `ImageComponent` is referred to as an `"Image Element"`in the Authoring UI.``

### JSPComponent

    static final DocumentType<JSPComponent> JSPComponent

  The document type for a `JSPComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `JSPComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `JSPComponent` is referred to as a `"JSP Element"`in the Authoring UI.``

### LinkComponent

    static final DocumentType<LinkComponent> LinkComponent

  The document type for a `LinkComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `LinkComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `LinkComponent` is referred to as a `"Link Element"`in the Authoring UI.``

### NumericComponent

    static final DocumentType<NumericComponent> NumericComponent

  The document type for a `NumericComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `NumericComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `NumericComponent` is referred to as a `"Numeric Element"`in the Authoring UI.``

### OptionSelectionComponent

    static final DocumentType<OptionSelectionComponent> OptionSelectionComponent

  The document type for a `OptionSelectionComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `OptionSelectionComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `OptionSelectionComponent` is referred to as an `"Option Selection Element"`in the Authoring UI.``

### ReferenceComponent

    static final DocumentType<ReferenceComponent> ReferenceComponent

  The document type for a `ReferenceComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `ReferenceComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `ReferenceComponent` is referred to as a `"Reference Element"`in the Authoring UI.``

### RichTextComponent

    static final DocumentType<RichTextComponent> RichTextComponent

  The document type for a `RichTextComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `RichTextComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `RichTextComponent` is referred to as a `"Rich Text Element"`in the Authoring UI.``

### ShortTextComponent

    static final DocumentType<ShortTextComponent> ShortTextComponent

  The document type for a `ShortTextComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `ShortTextComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `ShortTextComponent` is referred to as a `"Short Text Element"`in the Authoring UI.``

### TextComponent

    static final DocumentType<TextComponent> TextComponent

  The document type for a `TextComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `TextComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `TextComponent` is referred to as a `"Text Element"`in the Authoring UI.``

### UserSelectionComponent

    static final DocumentType<UserSelectionComponent> UserSelectionComponent

  The document type for a `UserSelectionComponent`.

  A component of this type cannot be stored as a separate entity in the repository.

  I.e. Components of type `UserSelectionComponent` must live in a `ContentComponentContainer`.

  note: since `v6.0.0`, a `UserSelectionComponent` is referred to as a `"User Selection Element"`in the Authoring UI.``

### LibraryComponent

    static final DocumentType<LibraryComponent> LibraryComponent

  The document type for Library Components.

  A Library Component refers to any component that can be stored in the Component Library as a separate entity in the repository.

### LibraryAuthoringToolsComponent

    static final DocumentType<LibraryAuthoringToolsComponent> LibraryAuthoringToolsComponent

  The document type for a `LibraryAuthoringToolsComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryDateComponent

    static final DocumentType<LibraryDateComponent> LibraryDateComponent

  The document type for a `LibraryDateComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryDocumentManagerComponent

    static final DocumentType<LibraryDocumentManagerComponent> LibraryDocumentManagerComponent

  Deprecated. Document Manager is deprecated since 7.0
  The document type for a `LibraryDocumentManagerComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryFileComponent

    static final DocumentType<LibraryFileComponent> LibraryFileComponent

  The document type for a `LibraryFileComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryHTMLComponent

    static final DocumentType<LibraryHTMLComponent> LibraryHTMLComponent

  The document type for a `LibraryHTMLComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryImageComponent

    static final DocumentType<LibraryImageComponent> LibraryImageComponent

  The document type for a `LibraryImageComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryJSPComponent

    static final DocumentType<LibraryJSPComponent> LibraryJSPComponent

  The document type for a `LibraryJSPComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryLinkComponent

    static final DocumentType<LibraryLinkComponent> LibraryLinkComponent

  The document type for `LibraryLinkComponent`

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryListPresentationComponent

    static final DocumentType<LibraryLinkComponent> LibraryListPresentationComponent

  The document type for `LibraryListPresentationComponent`

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryMenuComponent

    static final DocumentType<LibraryMenuComponent> LibraryMenuComponent

  The document type for a `LibraryMenuComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryNavigatorComponent

    static final DocumentType<LibraryNavigatorComponent> LibraryNavigatorComponent

  The document type for a `LibraryNavigatorComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryNumericComponent

    static final DocumentType<LibraryNumericComponent> LibraryNumericComponent

  The document type for a `LibraryNumericComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryPageNavigationComponent

    static final DocumentType<LibraryPageNavigationComponent> LibraryPageNavigationComponent

  The document type for a `LibraryPageNavigationComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryPersonalizationComponent

    static final DocumentType<LibraryPersonalizationComponent> LibraryPersonalizationComponent

  The document type for a `LibraryPersonalizationComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryReferenceComponent

    static final DocumentType<LibraryReferenceComponent> LibraryReferenceComponent

  The document type for a `LibraryReferenceComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryRichTextComponent

    static final DocumentType<LibraryRichTextComponent> LibraryRichTextComponent

  The document type for a `LibraryRichTextComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibrarySearchComponent

    static final DocumentType<LibrarySearchComponent> LibrarySearchComponent

  The document type for a `LibrarySearchComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryShortTextComponent

    static final DocumentType<LibraryShortTextComponent> LibraryShortTextComponent

  The document type for a `LibraryShortTextComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryStyleSheetComponent

    static final DocumentType<LibraryStyleSheetComponent> LibraryStyleSheetComponent

  The document type for a `LibraryStyleSheetComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryTaxonomyComponent

    static final DocumentType<LibraryTaxonomyComponent> LibraryTaxonomyComponent

  The document type for a `LibraryTaxonomyComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryTextComponent

    static final DocumentType<LibraryTextComponent> LibraryTextComponent

  The document type for a `LibraryTextComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryUserNameComponent

    static final DocumentType<LibraryUserNameComponent> LibraryUserNameComponent

  The document type for a `LibraryUserNameComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

### LibraryUserSelectionComponent

    static final DocumentType<LibraryUserSelectionComponent> LibraryUserSelectionComponent

  The document type for a `LibraryUserSelectionComponent`.

  A component of this type is stored as an entity in the repository and is also known as a Library Component.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD